provider "cloudflare" {
  version = "~> 2.0"

  email = var.CLOUDFLARE_EMAIL
  api_key = var.CLOUDFLARE_API_KEY
  account_id = var.CLOUDFLARE_ACCOUNT_ID
}

provider "aws" {
  version = "~> 2.0"

  region = "us-east-1"

  access_key = var.aws_access_key
  secret_key = var.aws_secret_key
  
  
  skip_credentials_validation = true
  skip_region_validation = true
  skip_requesting_account_id = true
  skip_metadata_api_check = true
}